//  Функция выводит данные о поселении в боковую панель из JSON объекта
function PrintInfoAboutSettlement(info)
{
    // ВНИМАНИЕ! я никудышный верстальщик, поэтому делаю как умею. никогда этому не учился, и никто меня не учил

    document.getElementById('settlement-title').innerHTML = info.Title;
    document.getElementById('settlement-url').innerHTML = info.URL;

    //jumbotron

    /// здесь сохранить в глобал
    /// потом использовать при редактировании
    /// присвоить id каждому элементу и по нему вытаскивать в форму редактирования
    /// сделать 2 класса для осн инф и для редактирования
    var text = '<div class="sidebar-left-text-element">';
    text += Test;
    text += '<button type="button" class="btn btn-secondary"><img src="/Content/icon.png" width="20" height="20" /></button>';
    text += '<p>' + 'Координаты: ' + info.Coordinate.Lat + ' ' + info.Coordinate.Long + '</p>';
    if (info.Founder != null)
        text += '<p>' + 'Основатель: ' + info.Founder + '</p>';

    if (info.Legend != null)
    {
        //text += '<p>' + 'Легенда:</p>';
        //  тут часть текста ("показать") выделяется другим цветом
        text += '<div class="hideLine"><label for="hideLine1">Легенда: <span style="color: #32CD32">[показать]</span></label><input type="checkbox" id="hideLine1"/>';
        text += '<p class="content">' + info.Legend + '</p></div>';
    }
    if (info.hasBeginning != null)
        text += '<p>' + 'Время основания: ' + info.hasBeginning + '</p>';

    text += '</div>'; 
    text += '<hr style="border: none; background-color: #32CD32; color: #32CD32; height: 2px;">';
    if (info.EditedSettlements != null)
        info.EditedSettlements.forEach(function (element) {
            text += '<div class="sidebar-left-text-element">';

            if (element.PopulationAll != null)
                text += '<p>' + 'Количество населения: ' + element.PopulationAll + '</p>';
            if (element.PopulationFemales != null)
                text += '<p>' + 'Количество мужского населения: ' + element.PopulationFemales + '</p>';
            if (element.PopulationMales != null)
                text += '<p>' + 'Количество женского населения: ' + element.PopulationMales + '</p>';
            if (element.Region != null)
                text += '<p>' + 'Регион: ' + element.Region.Title + '</p>';
            if (element.Type != null)
                text += '<p>' + 'Тип поселения: ' + element.Type.Title + '</p>';
            if (element.Title != null)
                text += '<p>' + 'Название поселения: ' + element.Title + '</p>';

            text += '<p>' + 'Год: ' + element.hasBeginning.Year + '</p>';
            if (element.Source.includes("www") || element.Source.includes("http"))
                text += '<p>Источник: <a href="' + element.Source + '">ссылка</a></p>';
            else 
                text += '<p>Источник: ' + element.Source + '</p>';

            text += '</div>';
        });    

    document.getElementById('sidebar-left-text').innerHTML = text;
}

function printExportCollection() {
    var text = '';
    //  т.к. используются формы (class="form-check...")
    //  то объекты в разметке получают стиль позиции relative
    //  данная позиция не корректно взаимодействует со скроллбаром и шапкой формы, которая имеет позицию sticky
    //  я не знаю как это лучше исправить
    //  предполагаю, что можно убрать классы и оставить только label и checkbox, тогда их позиции станут fixed и все станет норм
    Collections.Export.forEach(function (element) {
        text += '<div class="form-check">';//style="position: sticky;"
        text += '	<input class="form-check-input" type="checkbox" value="" id="' + element.url + '" checked onchange="checkBoxChange(this)">';
        text += '   <label class="form-check-label" for="' + element.url + '" data-toggle="tooltip" data-placement="top" title="' + element.url + '">' + element.name + '</label>';
        text += '</div>';
    });
    $("#sidebar-right-text-export")[0].innerHTML = text;
}

//  Функция выгружает все гео-объекты из данной коллекции на карту
function PlaceFromCollection() {
    CollectionVisible.addToMap(Map);
    //Map.geoObjects.add(CollectionVisible);

    //var arr = [];
    //var i = 0;
    //var iterator = CollectionVisible.getIterator(),
    //    object;
    //while ((object = iterator.getNext()) != iterator.STOP_ITERATION) {
    //    arr[i] = object;
    //    i++;
    //}
    //clusterer.add(arr);
    //Map.geoObjects.add(clusterer);
}